# 73. Query: gerasterde data ophalen met de geselecteerde buffer

Query om gegroepeerde (grid) gegevens op te halen uit datasets zoals "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" met de geselecteerde buffer.

{% hint style="danger" %}
Aanbevolen om slechts één dataset op te halen met `sourceDataUrl` per verzoek.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, en `MinusTwoPixels` zijn beschikbaar als een `buffer`.

{% hint style="danger" %}
`sourceDataUrl` link is alleen toegankelijk voor **60 sec.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    naam
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      naam
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/73.-query-gerasterde-data-ophalen-met-de-geselecteerde-buffer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
